import java.util.*;
import static java.util.stream.Collectors.*;

public class Sample {
  public static void main(String[] args) {
    List<Integer> numbers = Arrays.asList(1, 2, 3, 5, 4, 6, 7, 8, 9, 10);

    //find the double of the first number greater than 3 and is even.

    int result = 0;
    for(int e : numbers) {
      if(e > 3 && e % 2 == 0) {
        result = e * 2;
        break;
      }
    }
    System.out.println(result);
    
    System.out.println(
      numbers.stream()
             .filter(e -> e > 3)
             .filter(e -> e % 2 == 0)
             .map(e -> e * 2)
             .findFirst());
  }
}
