val numbers = List(1, 2, 3, 4, 5, 6)

//val doubledNumbers = 
//  numbers.map { e => e * 2 }
  //function value - lambda expression


val factor = 2

val doubledNumbers = 
  numbers.map { e => e * factor }
  
//this lambda expression has an unbouned variable called factor.
//before we can run this lambda expression, the compiler has to bind this variable called factor.

//It is going to look in the defining scope of the lambda expression.

//That is called lexical scoping.

//This lambda expression has to close-over the defining scope, so it
//is called closure
println(doubledNumbers)
